package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 银行储蓄表
 *
 * @author xcj
 * bank_deposits
 */
public class BankDeposits {
    @ApiModelProperty("银行储蓄ID")
    private String bankDepositsId;

    @ApiModelProperty("银行名称")
    private String bankName;

    @ApiModelProperty("活期利率")
    private BigDecimal demandDeposit;

    @ApiModelProperty("3月定期利率")
    private BigDecimal threeMonth;

    @ApiModelProperty("6月定期利率")
    private BigDecimal sixMonth;

    @ApiModelProperty("1年定期利率")
    private BigDecimal year;

    @ApiModelProperty("2年定期利率")
    private BigDecimal twoYear;

    @ApiModelProperty("3年定期利率")
    private BigDecimal threeYear;

    @ApiModelProperty("5年定期利率")
    private BigDecimal fiveYear;

    @ApiModelProperty("归属用户ID")
    private String userId;

    @ApiModelProperty("货币")
    private String currency;

    @ApiModelProperty("来源")
    private String source;

    public String getBankDepositsId() {
        return bankDepositsId;
    }

    public void setBankDepositsId(String bankDepositsId) {
        this.bankDepositsId = bankDepositsId == null ? null : bankDepositsId.trim();
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName == null ? null : bankName.trim();
    }

    public BigDecimal getDemandDeposit() {
        return demandDeposit;
    }

    public void setDemandDeposit(BigDecimal demandDeposit) {
        this.demandDeposit = demandDeposit;
    }

    public BigDecimal getThreeMonth() {
        return threeMonth;
    }

    public void setThreeMonth(BigDecimal threeMonth) {
        this.threeMonth = threeMonth;
    }

    public BigDecimal getSixMonth() {
        return sixMonth;
    }

    public void setSixMonth(BigDecimal sixMonth) {
        this.sixMonth = sixMonth;
    }

    public BigDecimal getYear() {
        return year;
    }

    public void setYear(BigDecimal year) {
        this.year = year;
    }

    public BigDecimal getTwoYear() {
        return twoYear;
    }

    public void setTwoYear(BigDecimal twoYear) {
        this.twoYear = twoYear;
    }

    public BigDecimal getThreeYear() {
        return threeYear;
    }

    public void setThreeYear(BigDecimal threeYear) {
        this.threeYear = threeYear;
    }

    public BigDecimal getFiveYear() {
        return fiveYear;
    }

    public void setFiveYear(BigDecimal fiveYear) {
        this.fiveYear = fiveYear;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency == null ? null : currency.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }
}