package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StudentScoreWeightExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StudentScoreWeightExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andStudentScoreWeightIdIsNull() {
            addCriterion("student_score_weight_id is null");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdIsNotNull() {
            addCriterion("student_score_weight_id is not null");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdEqualTo(String value) {
            addCriterion("student_score_weight_id =", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdNotEqualTo(String value) {
            addCriterion("student_score_weight_id <>", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdGreaterThan(String value) {
            addCriterion("student_score_weight_id >", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdGreaterThanOrEqualTo(String value) {
            addCriterion("student_score_weight_id >=", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdLessThan(String value) {
            addCriterion("student_score_weight_id <", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdLessThanOrEqualTo(String value) {
            addCriterion("student_score_weight_id <=", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdLike(String value) {
            addCriterion("student_score_weight_id like", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdNotLike(String value) {
            addCriterion("student_score_weight_id not like", value, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdIn(List<String> values) {
            addCriterion("student_score_weight_id in", values, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdNotIn(List<String> values) {
            addCriterion("student_score_weight_id not in", values, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdBetween(String value1, String value2) {
            addCriterion("student_score_weight_id between", value1, value2, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andStudentScoreWeightIdNotBetween(String value1, String value2) {
            addCriterion("student_score_weight_id not between", value1, value2, "studentScoreWeightId");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNull() {
            addCriterion("chapter_id is null");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNotNull() {
            addCriterion("chapter_id is not null");
            return (Criteria) this;
        }

        public Criteria andChapterIdEqualTo(String value) {
            addCriterion("chapter_id =", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotEqualTo(String value) {
            addCriterion("chapter_id <>", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThan(String value) {
            addCriterion("chapter_id >", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThanOrEqualTo(String value) {
            addCriterion("chapter_id >=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThan(String value) {
            addCriterion("chapter_id <", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThanOrEqualTo(String value) {
            addCriterion("chapter_id <=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLike(String value) {
            addCriterion("chapter_id like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotLike(String value) {
            addCriterion("chapter_id not like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdIn(List<String> values) {
            addCriterion("chapter_id in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotIn(List<String> values) {
            addCriterion("chapter_id not in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdBetween(String value1, String value2) {
            addCriterion("chapter_id between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotBetween(String value1, String value2) {
            addCriterion("chapter_id not between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterNameIsNull() {
            addCriterion("chapter_name is null");
            return (Criteria) this;
        }

        public Criteria andChapterNameIsNotNull() {
            addCriterion("chapter_name is not null");
            return (Criteria) this;
        }

        public Criteria andChapterNameEqualTo(String value) {
            addCriterion("chapter_name =", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotEqualTo(String value) {
            addCriterion("chapter_name <>", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameGreaterThan(String value) {
            addCriterion("chapter_name >", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameGreaterThanOrEqualTo(String value) {
            addCriterion("chapter_name >=", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLessThan(String value) {
            addCriterion("chapter_name <", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLessThanOrEqualTo(String value) {
            addCriterion("chapter_name <=", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLike(String value) {
            addCriterion("chapter_name like", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotLike(String value) {
            addCriterion("chapter_name not like", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameIn(List<String> values) {
            addCriterion("chapter_name in", values, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotIn(List<String> values) {
            addCriterion("chapter_name not in", values, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameBetween(String value1, String value2) {
            addCriterion("chapter_name between", value1, value2, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotBetween(String value1, String value2) {
            addCriterion("chapter_name not between", value1, value2, "chapterName");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNull() {
            addCriterion("school_id is null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNotNull() {
            addCriterion("school_id is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdEqualTo(String value) {
            addCriterion("school_id =", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotEqualTo(String value) {
            addCriterion("school_id <>", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThan(String value) {
            addCriterion("school_id >", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThanOrEqualTo(String value) {
            addCriterion("school_id >=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThan(String value) {
            addCriterion("school_id <", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThanOrEqualTo(String value) {
            addCriterion("school_id <=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLike(String value) {
            addCriterion("school_id like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotLike(String value) {
            addCriterion("school_id not like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIn(List<String> values) {
            addCriterion("school_id in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotIn(List<String> values) {
            addCriterion("school_id not in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdBetween(String value1, String value2) {
            addCriterion("school_id between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotBetween(String value1, String value2) {
            addCriterion("school_id not between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreIsNull() {
            addCriterion("summary_of_knowledge_score is null");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreIsNotNull() {
            addCriterion("summary_of_knowledge_score is not null");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_score =", value, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreNotEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_score <>", value, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreGreaterThan(BigDecimal value) {
            addCriterion("summary_of_knowledge_score >", value, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_score >=", value, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreLessThan(BigDecimal value) {
            addCriterion("summary_of_knowledge_score <", value, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_score <=", value, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreIn(List<BigDecimal> values) {
            addCriterion("summary_of_knowledge_score in", values, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreNotIn(List<BigDecimal> values) {
            addCriterion("summary_of_knowledge_score not in", values, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("summary_of_knowledge_score between", value1, value2, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("summary_of_knowledge_score not between", value1, value2, "summaryOfKnowledgeScore");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightIsNull() {
            addCriterion("summary_of_knowledge_weight is null");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightIsNotNull() {
            addCriterion("summary_of_knowledge_weight is not null");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_weight =", value, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightNotEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_weight <>", value, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightGreaterThan(BigDecimal value) {
            addCriterion("summary_of_knowledge_weight >", value, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_weight >=", value, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightLessThan(BigDecimal value) {
            addCriterion("summary_of_knowledge_weight <", value, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("summary_of_knowledge_weight <=", value, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightIn(List<BigDecimal> values) {
            addCriterion("summary_of_knowledge_weight in", values, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightNotIn(List<BigDecimal> values) {
            addCriterion("summary_of_knowledge_weight not in", values, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("summary_of_knowledge_weight between", value1, value2, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andSummaryOfKnowledgeWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("summary_of_knowledge_weight not between", value1, value2, "summaryOfKnowledgeWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreIsNull() {
            addCriterion("resource_learning_score is null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreIsNotNull() {
            addCriterion("resource_learning_score is not null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score =", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreNotEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score <>", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreGreaterThan(BigDecimal value) {
            addCriterion("resource_learning_score >", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score >=", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreLessThan(BigDecimal value) {
            addCriterion("resource_learning_score <", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score <=", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreIn(List<BigDecimal> values) {
            addCriterion("resource_learning_score in", values, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreNotIn(List<BigDecimal> values) {
            addCriterion("resource_learning_score not in", values, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("resource_learning_score between", value1, value2, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("resource_learning_score not between", value1, value2, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightIsNull() {
            addCriterion("resource_learning_weight is null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightIsNotNull() {
            addCriterion("resource_learning_weight is not null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightEqualTo(BigDecimal value) {
            addCriterion("resource_learning_weight =", value, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightNotEqualTo(BigDecimal value) {
            addCriterion("resource_learning_weight <>", value, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightGreaterThan(BigDecimal value) {
            addCriterion("resource_learning_weight >", value, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("resource_learning_weight >=", value, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightLessThan(BigDecimal value) {
            addCriterion("resource_learning_weight <", value, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("resource_learning_weight <=", value, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightIn(List<BigDecimal> values) {
            addCriterion("resource_learning_weight in", values, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightNotIn(List<BigDecimal> values) {
            addCriterion("resource_learning_weight not in", values, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("resource_learning_weight between", value1, value2, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andResourceLearningWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("resource_learning_weight not between", value1, value2, "resourceLearningWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreIsNull() {
            addCriterion("learning_assessment_score is null");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreIsNotNull() {
            addCriterion("learning_assessment_score is not null");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_score =", value, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreNotEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_score <>", value, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreGreaterThan(BigDecimal value) {
            addCriterion("learning_assessment_score >", value, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_score >=", value, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreLessThan(BigDecimal value) {
            addCriterion("learning_assessment_score <", value, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_score <=", value, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreIn(List<BigDecimal> values) {
            addCriterion("learning_assessment_score in", values, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreNotIn(List<BigDecimal> values) {
            addCriterion("learning_assessment_score not in", values, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("learning_assessment_score between", value1, value2, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("learning_assessment_score not between", value1, value2, "learningAssessmentScore");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightIsNull() {
            addCriterion("learning_assessment_weight is null");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightIsNotNull() {
            addCriterion("learning_assessment_weight is not null");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_weight =", value, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightNotEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_weight <>", value, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightGreaterThan(BigDecimal value) {
            addCriterion("learning_assessment_weight >", value, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_weight >=", value, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightLessThan(BigDecimal value) {
            addCriterion("learning_assessment_weight <", value, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("learning_assessment_weight <=", value, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightIn(List<BigDecimal> values) {
            addCriterion("learning_assessment_weight in", values, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightNotIn(List<BigDecimal> values) {
            addCriterion("learning_assessment_weight not in", values, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("learning_assessment_weight between", value1, value2, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andLearningAssessmentWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("learning_assessment_weight not between", value1, value2, "learningAssessmentWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreIsNull() {
            addCriterion("experimental_training_score is null");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreIsNotNull() {
            addCriterion("experimental_training_score is not null");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreEqualTo(BigDecimal value) {
            addCriterion("experimental_training_score =", value, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreNotEqualTo(BigDecimal value) {
            addCriterion("experimental_training_score <>", value, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreGreaterThan(BigDecimal value) {
            addCriterion("experimental_training_score >", value, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("experimental_training_score >=", value, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreLessThan(BigDecimal value) {
            addCriterion("experimental_training_score <", value, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("experimental_training_score <=", value, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreIn(List<BigDecimal> values) {
            addCriterion("experimental_training_score in", values, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreNotIn(List<BigDecimal> values) {
            addCriterion("experimental_training_score not in", values, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("experimental_training_score between", value1, value2, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("experimental_training_score not between", value1, value2, "experimentalTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightIsNull() {
            addCriterion("experimental_training_weight is null");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightIsNotNull() {
            addCriterion("experimental_training_weight is not null");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightEqualTo(BigDecimal value) {
            addCriterion("experimental_training_weight =", value, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightNotEqualTo(BigDecimal value) {
            addCriterion("experimental_training_weight <>", value, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightGreaterThan(BigDecimal value) {
            addCriterion("experimental_training_weight >", value, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("experimental_training_weight >=", value, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightLessThan(BigDecimal value) {
            addCriterion("experimental_training_weight <", value, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("experimental_training_weight <=", value, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightIn(List<BigDecimal> values) {
            addCriterion("experimental_training_weight in", values, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightNotIn(List<BigDecimal> values) {
            addCriterion("experimental_training_weight not in", values, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("experimental_training_weight between", value1, value2, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andExperimentalTrainingWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("experimental_training_weight not between", value1, value2, "experimentalTrainingWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightIsNull() {
            addCriterion("report_weight is null");
            return (Criteria) this;
        }

        public Criteria andReportWeightIsNotNull() {
            addCriterion("report_weight is not null");
            return (Criteria) this;
        }

        public Criteria andReportWeightEqualTo(BigDecimal value) {
            addCriterion("report_weight =", value, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightNotEqualTo(BigDecimal value) {
            addCriterion("report_weight <>", value, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightGreaterThan(BigDecimal value) {
            addCriterion("report_weight >", value, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("report_weight >=", value, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightLessThan(BigDecimal value) {
            addCriterion("report_weight <", value, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightLessThanOrEqualTo(BigDecimal value) {
            addCriterion("report_weight <=", value, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightIn(List<BigDecimal> values) {
            addCriterion("report_weight in", values, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightNotIn(List<BigDecimal> values) {
            addCriterion("report_weight not in", values, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("report_weight between", value1, value2, "reportWeight");
            return (Criteria) this;
        }

        public Criteria andReportWeightNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("report_weight not between", value1, value2, "reportWeight");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}