package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 学生实训报告表
 *
 * @author xcj
 * training_report
 */
public class TrainingReport {
    @ApiModelProperty("实训报告ID")
    private String reportId;

    @ApiModelProperty("章节ID")
    private String chapterId;

    @ApiModelProperty("章节名称")
    private String chapterName;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("实训报告名称")
    private String reportName;

    @ApiModelProperty("实训报告上传时间")
    private Date uploadTime;

    @ApiModelProperty("实训报告大小（单位MB）")
    private BigDecimal reportSize;

    @ApiModelProperty("教师评分")
    private BigDecimal teacherScore;

    @ApiModelProperty("文件地址")
    private String filePath;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("教师评语")
    private String teacherComment;

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId == null ? null : reportId.trim();
    }

    public String getChapterId() {
        return chapterId;
    }

    public void setChapterId(String chapterId) {
        this.chapterId = chapterId == null ? null : chapterId.trim();
    }

    public String getChapterName() {
        return chapterName;
    }

    public void setChapterName(String chapterName) {
        this.chapterName = chapterName == null ? null : chapterName.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName == null ? null : reportName.trim();
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public BigDecimal getReportSize() {
        return reportSize;
    }

    public void setReportSize(BigDecimal reportSize) {
        this.reportSize = reportSize;
    }

    public BigDecimal getTeacherScore() {
        return teacherScore;
    }

    public void setTeacherScore(BigDecimal teacherScore) {
        this.teacherScore = teacherScore;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath == null ? null : filePath.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public String getTeacherComment() {
        return teacherComment;
    }

    public void setTeacherComment(String teacherComment) {
        this.teacherComment = teacherComment == null ? null : teacherComment.trim();
    }
}