package com.sztzjy.money_management.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
public class StuClientCaseScoreDto {

    @ApiModelProperty("学习项目")
    private String chapterName;

    @ApiModelProperty("实训时长")
    private BigDecimal trainingTime;

    @ApiModelProperty("实训总分")
    private BigDecimal trainingTotalScore;

    @ApiModelProperty("成绩权重")
    private BigDecimal scoreWight;

    @ApiModelProperty("实训得分")
    private BigDecimal trainingScore;

}
