package com.sztzjy.money_management.mapper;

import com.sztzjy.money_management.entity.KnowledgePoint;
import com.sztzjy.money_management.entity.KnowledgePointExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
@Mapper
public interface KnowledgePointMapper {
    long countByExample(KnowledgePointExample example);

    int deleteByExample(KnowledgePointExample example);

    int deleteByPrimaryKey(String knowledgePointName);

    int insert(KnowledgePoint record);

    int insertSelective(KnowledgePoint record);

    List<KnowledgePoint> selectByExample(KnowledgePointExample example);

    KnowledgePoint selectByPrimaryKey(String knowledgePointName);

    int updateByExampleSelective(@Param("record") KnowledgePoint record, @Param("example") KnowledgePointExample example);

    int updateByExample(@Param("record") KnowledgePoint record, @Param("example") KnowledgePointExample example);

    int updateByPrimaryKeySelective(KnowledgePoint record);

    int updateByPrimaryKey(KnowledgePoint record);


    @Select("select knowledge_point_name from knowledge_point")
    List<String> selectNameList();
}