package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 投资规划-保险产品信息表
 *
 * @author xcj
 * case_investment_plan_insurance_productinfo
 */
public class CaseInvestmentPlanInsuranceProductInfo {
    @ApiModelProperty("保险产品信息ID")
    private String insuranceProductinfoId;

    @ApiModelProperty("产品选择ID")
    private String productSelectId;

    @ApiModelProperty("所属层级（基础层/保值层）")
    private String level;

    @ApiModelProperty("保险产品ID")
    private String insuranceProId;

    @ApiModelProperty("被保险人")
    private String insuredPerson;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("保险金额")
    private BigDecimal insuranceAmount;

    @ApiModelProperty("保险期间")
    private String insurancePeriod;

    @ApiModelProperty("缴费方式")
    private String paymentMethod;

    @ApiModelProperty("年缴保费")
    private BigDecimal annualPremium;

    @ApiModelProperty("添加时间")
    private Date addTime;

    public String getInsuranceProductinfoId() {
        return insuranceProductinfoId;
    }

    public void setInsuranceProductinfoId(String insuranceProductinfoId) {
        this.insuranceProductinfoId = insuranceProductinfoId == null ? null : insuranceProductinfoId.trim();
    }

    public String getProductSelectId() {
        return productSelectId;
    }

    public void setProductSelectId(String productSelectId) {
        this.productSelectId = productSelectId == null ? null : productSelectId.trim();
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level == null ? null : level.trim();
    }

    public String getInsuranceProId() {
        return insuranceProId;
    }

    public void setInsuranceProId(String insuranceProId) {
        this.insuranceProId = insuranceProId == null ? null : insuranceProId.trim();
    }

    public String getInsuredPerson() {
        return insuredPerson;
    }

    public void setInsuredPerson(String insuredPerson) {
        this.insuredPerson = insuredPerson == null ? null : insuredPerson.trim();
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender == null ? null : gender.trim();
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public BigDecimal getInsuranceAmount() {
        return insuranceAmount;
    }

    public void setInsuranceAmount(BigDecimal insuranceAmount) {
        this.insuranceAmount = insuranceAmount;
    }

    public String getInsurancePeriod() {
        return insurancePeriod;
    }

    public void setInsurancePeriod(String insurancePeriod) {
        this.insurancePeriod = insurancePeriod == null ? null : insurancePeriod.trim();
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod == null ? null : paymentMethod.trim();
    }

    public BigDecimal getAnnualPremium() {
        return annualPremium;
    }

    public void setAnnualPremium(BigDecimal annualPremium) {
        this.annualPremium = annualPremium;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }
}