package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 客户家庭信息表
 *
 * @author xcj
 * client_family_info
 */
public class ClientFamilyInfo {
    private String clientFamilyInfoId;

    @ApiModelProperty("案例ID")
    private String caseid;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("与客户关系")
    private String customerRelationship;

    @ApiModelProperty("年收入")
    private BigDecimal annualIncome;

    @ApiModelProperty("创建时间")
    private Date createTime;

    public String getClientFamilyInfoId() {
        return clientFamilyInfoId;
    }

    public void setClientFamilyInfoId(String clientFamilyInfoId) {
        this.clientFamilyInfoId = clientFamilyInfoId == null ? null : clientFamilyInfoId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getCustomerRelationship() {
        return customerRelationship;
    }

    public void setCustomerRelationship(String customerRelationship) {
        this.customerRelationship = customerRelationship == null ? null : customerRelationship.trim();
    }

    public BigDecimal getAnnualIncome() {
        return annualIncome;
    }

    public void setAnnualIncome(BigDecimal annualIncome) {
        this.annualIncome = annualIncome;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}